View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000457Ecere SDKcompilerpublic2010-07-26 03:142013-09-23 07:37
Reporterredj 
Assigned Tojerome 
PriorityurgentSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.07Fixed in Version0.44.07 
Summary0000457: compiler: CATD already a typedef struct used inside a struct declaration
DescriptionCATD already a typedef struct used inside a struct declaration

typedef struct { int bla; } CATD; and then a struct OhNo { int CATD; };
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000688)
jerome (administrator)
2013-04-22 04:18

Fixed by https://github.com/ecere/sdk/commit/e2373fcba2c09cf688759d1e0789cb150183ec23 [^]

Note: Accessing .CATD might still be broken in eC, but the main issue was the header causing syntax errors.

- Issue History
Date Modified Username Field Change
2010-07-26 03:14 redj New Issue
2010-07-26 03:14 redj Relationship added child of 0000437
2010-07-26 03:17 redj Description Updated
2010-07-26 03:19 redj Description Updated
2010-07-29 15:18 jerome Priority normal => urgent
2012-03-08 16:51 redj Target Version => 0.45 Ginkakuji
2012-03-08 19:19 redj Relationship deleted child of 0000437
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK
2013-04-22 04:18 jerome Status new => resolved
2013-04-22 04:18 jerome Fixed in Version => 0.44.1 64
2013-04-22 04:18 jerome Resolution open => fixed
2013-04-22 04:18 jerome Assigned To => jerome
2013-04-22 04:18 jerome Note Added: 0000688
2013-04-25 21:37 jerome Target Version 0.45 Ginkakuji => 0.44.07
2013-05-19 22:15 jerome Status resolved => closed
2013-09-23 07:37 jerome Fixed in Version 0.44.12 Fixes => 0.44.07



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker